gnu.trove

## Class THashMap.ValueView

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - gnu.trove.THashMap.ValueView

All Implemented Interfaces:
  java.lang.Iterable<V>, java.util.Collection<V>, java.util.Set<V>

Enclosing class:
  THashMap<K,V>

    protected class THashMap.ValueView
    extends java.util.AbstractSet<E>

a view onto the values of the map.

### Constructor Summary

Constructors
`protected` `THashMap.ValueView()`

### Method Summary

Methods
`boolean` `containsElement(V value)`
`java.util.Iterator<V>` `iterator()`
`boolean` `removeElement(V value)`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`equals, hashCode, removeAll`

### Constructor Detail

#### THashMap.ValueView

    protected THashMap.ValueView()

### Method Detail

#### iterator

    public java.util.Iterator<V> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<V>`
Specified by:
  `iterator` in interface `java.util.Collection<V>`
Specified by:
  `iterator` in interface `java.util.Set<V>`

#### containsElement

    public boolean containsElement(V value)

#### removeElement

    public boolean removeElement(V value)